#include <bits/stdc++.h>
using namespace std;
signed main(){
	long long na, nb;
	cin >> na;
	cin >> nb;
	int sum = 0;
	string a = to_string(na);
	string b = to_string(nb);
	int x = abs(a.size() - b.size());
	for(;x >= min(a.size(), b.size());){
        if(a.size() > b.size()){
		   	b.insert(b.begin(), 0);
		}
		else if(b.size() > a.size()){
		   	a.insert(a.begin(), 0);
		}
		else if ( a.size() == b.size()){
			break;
		}	   
	}
	for(long long br = 0; br < max(b.size(),a.size()); br++){
	if (a[br]==b[br]){
		cout << a[br] << b[br];
	}
	else if(a[br]>b[br]){
		cout << a[br];
	}
	else{
		cout << b[br];
	}
	}
}